.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  padding: 16px 0;
  backdrop-filter: blur(22px);
  background: rgba(2, 0, 16, 0.3);
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo {
  font-family: var(--third-family);
  font-weight: 900;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fff;
  transition: color 0.3s ease;
}

.header-logo:hover {
  text-decoration: underline;
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 60px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  color: #fff;
  transition: border-color 0.3s ease;
}

.page-nav-link:hover {
  text-decoration: underline;
}

.menu-btn {
  svg {
    fill: none;
    stroke: #fff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover {
  svg {
    stroke: #fd900e;
  }
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 24px 0;
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 8;
  padding: 40px;
  padding-top: 120px;
  backdrop-filter: blur(12px);
  background: rgba(0, 0, 0, 0.8);
  transform: translateY(-100%);
  transition: transform 1s ease;
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
  gap: 40px;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  border: 1px solid #14413e;
  border-radius: 24px;
  padding: 40px 20px;
  background: #f4ecdf;

  transition: transform 1s ease;
}

.popup-title {
  font-family: var(--third-family);
  font-weight: 700;
  font-size: 26px;
  line-height: 115%;
  text-align: center;
  color: #14413e;
  margin-bottom: 23px;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  text-align: center;
  color: #14413e;
  margin-bottom: 32px;
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 20px;
  text-align: center;
  color: #14413e;
  display: block;

  border: 1px solid #14413e;
  border-radius: 15px;
  padding: 22px;
  transition:
    opacity 0.3s ease,
    box-shadow 0.3s ease;
}

.popup-btn:hover {
  background-color: #14413e;
  color: #fff;
}

.popup-wrap {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

@media screen and (min-width: 1440px) {
  .page-popup {
    border-radius: 25px;
    padding: 40px 80px;
  }

  .popup-title {
    font-size: 38px;
    margin-bottom: 23px;
  }

  .popup-text {
    font-size: 18px;
    margin-bottom: 32px;
  }

  .popup-wrap {
    flex-direction: row;
    gap: 42px;
    justify-content: center;
  }

  .popup-btn {
    font-size: 20px;
    width: 310px;
  }
}

/* hero  */

.dashboard {
  padding: 120px 0;
  background-image: url(../img/hero.jpg);
  background-position: center;
  background-size: cover;
}

.hero-title {
  font-family: var(--third-family);
  font-weight: 700;
  font-size: 32px;
  line-height: 125%;
  color: #fff;
  margin-bottom: 22px;
}

.hero-text {
  font-family: var(--second-family);
  font-weight: 300;
  font-size: 18px;
  color: #fff;
  margin-bottom: 22px;
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding: 203px 0;
  }

  .hero-content {
    width: 739px;
  }

  .hero-title {
    font-size: 42px;
    margin-bottom: 42px;
  }

  .hero-text {
    font-size: 18px;
    margin-bottom: 42px;
  }
}

/* designed  */

.designed-container {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.designed-wrap {
  display: flex;
  flex-direction: column;
  gap: 22px;
}

.designed-text {
  margin-bottom: 22px;
}

.designed-img1 {
  width: 100%;
}

.designed-img2 {
  width: 100%;
}

@media screen and (min-width: 1440px) {
  .designed-container {
    flex-direction: row;
    align-items: flex-start;
  }

  .designed-img1 {
    width: auto;
    flex-shrink: 0;
  }

  .designed-wrap {
    flex-direction: column-reverse;
    gap: 52px;
  }

  .designed-text {
    margin-bottom: 40px;
  }
}

/* private  */

@media screen and (min-width: 1440px) {
  .private-container {
    flex-direction: row-reverse;
  }

  .private-wrap {
    flex-direction: column;
  }
}

/* adults  */

#adults {
  background: #14413e;

  .title {
    text-align: center;
    color: #fff;
  }

  .text {
    text-align: center;
    color: #fff;
  }
}

/* balance */

.balances-img {
  margin: 0 auto;
  margin-bottom: 40px;
}

#balances {
  .title {
    text-align: center;
  }

  .text {
    text-align: center;
  }
}

/* gallery  */

.gallery-container {
  display: flex;
  flex-direction: column;

  img {
    width: 100%;
  }
}

@media screen and (min-width: 1440px) {
  .gallery-container {
    flex-direction: row;

    img {
      width: calc(100% / 2);
    }
  }
}

/* contact   */

.contact-container {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.map-frame {
  height: 420px;
  width: 100%;
  z-index: 2;
}

.contact-list {
  display: flex;
  flex-direction: column;
  gap: 22px;

  p {
    font-family: var(--second-family);
    font-weight: 300;
    font-size: 18px;
    color: rgba(255, 255, 255, 0.6);
  }

  a,
  span {
    display: block;
    font-family: var(--second-family);
    font-weight: 300;
    font-size: 18px;
    color: #fff;
  }

  a:hover {
    text-decoration: underline;
  }
}

@media screen and (min-width: 768px) {
  .contact-list {
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;

    li {
      width: calc((100% - 22px) / 2);
    }
  }
}

@media screen and (min-width: 1440px) {
  .contact-container {
    flex-direction: row;
    align-items: center;
  }

  .map-frame {
    width: 580px;
    height: 420px;
    flex-shrink: 0;
  }

  .contact-list {
    gap: 35px;
    justify-content: space-between;

    li {
      width: calc((100% - 105px) / 4);
    }
  }
}

/* footer */

.footer {
  background-color: #f8f4ee;
  background-image: url(../img/fon.png);
  background-size: cover;
  background-position: center;
}

.footer-list {
  display: flex;
  flex-direction: column;
  gap: 6px;
  align-items: center;
  margin-bottom: 32px;

  a {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 14px;
    line-height: 171%;
    text-align: center;
    color: #14413e;
    transition: color 0.3s ease;
  }

  a:hover {
    text-decoration: underline;
  }
}

.footer-logo {
  display: block;
  font-family: var(--third-family);
  font-weight: 900;
  font-size: 16px;
  text-align: center;
  color: #14413e;
  text-decoration: underline;
  margin-bottom: 6px;
}

.footer-mail {
  display: block;
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #14413e;
  margin-bottom: 12px;
  transition: color 0.3s ease;
}

.footer-mail:hover {
  text-decoration: underline;
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #14413e;
  margin-bottom: 32px;
}

.footer-nav-list {
  display: flex;
  flex-wrap: wrap;
  gap: 6px 22px;

  li {
    width: calc((100% - 22px) / 2);
  }

  a {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 14px;
    line-height: 171%;
    text-align: center;
    color: #14413e;
  }

  a:hover {
    text-decoration: underline;
  }
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 23px;
  }

  .footer-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 100px;
  }

  .footer-list {
    margin: 0;
  }

  .footer-text {
    margin: 0;
  }

  .footer-nav-list {
    flex-direction: column;
    align-items: flex-start;
    gap: 6px;
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  border: 2px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  width: 60px;
  border-radius: 50%;

  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition:
    opacity 0.4s ease,
    opacity 0.4s ease,
    border-color 0.4s ease transform 0.4s ease;

  svg {
    fill: none;
    stroke: #fff;
  }
}

#scrollTopBtn.show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn.show:hover {
  opacity: 1;
  box-shadow: 5px 5px 10px #fff;

  svg {
    stroke: #fff;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(135deg);
}

.popup-click {
  transform: translateY(200%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
